Subject: Re: linux-next: manual merge of the tip tree with the block tree

From: "Paul E. McKenney" <[email-masked]>
Date: Tue, 22 Jun 2010 14:06:07 -0700

On Tue, Jun 22, 2010 at 02:31:21PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the tip tree got a conflict in
> fs/fs-writeback.c between commit 79338d2a78ab78efdc1698f1309766a039addf9d
> ("writeback: simplify the write back thread queue") from the block tree
> and commit b97181f24212f4c29197890ce1b2b9100bcc184d ("fs: remove all rcu
> head initializations, except on_stack initializations") from the tip tree.
> 
> This time it is not clear if the RCU updates are needed any more at all,
> so for today I just used the version of fs/fs-writeback.c from the block
> tree.

The current -next tree has gotten rid of all teh RCU_INIT_HEAD, RCU_HEAD,
and INIT_RCU_HEAD calls, as it should.  Woo-hoo!!!  ;-)

							Thanx, Paul